# Uses of Interface
org.jmol.jvxl.api.VertexDataServer

Packages that use VertexDataServer
Package
Description
org.jmol.jvxl.api
org.jmol.jvxl.calc
org.jmol.jvxl.readers
org.jmol.shapesurface

## Uses of VertexDataServer in org.jmol.jvxl.api

Subinterfaces of VertexDataServer in org.jmol.jvxl.api
Modifier and Type
Interface
Description
`interface`
`MeshDataServer`

## Uses of VertexDataServer in org.jmol.jvxl.calc

Fields in org.jmol.jvxl.calc declared as VertexDataServer
Modifier and Type
Field
Description
`protected VertexDataServer`
MarchingCubes.`surfaceReader`
Constructors in org.jmol.jvxl.calc with parameters of type VertexDataServer
Modifier
Constructor
Description
``
`MarchingCubes(VertexDataServer surfaceReader, VolumeData volumeData, Parameters params, BS bsVoxels)`
``
`MarchingSquares(VertexDataServer surfaceReader, VolumeData volumeData, P4 thePlane, float[] contoursDiscrete, int nContours, int thisContour, boolean contourFromZero)`

## Uses of VertexDataServer in org.jmol.jvxl.readers

Classes in org.jmol.jvxl.readers that implement VertexDataServer
Modifier and Type
Class
Description
`class`
`JvxlReader`
`class`
`JvxlXmlReader`
`class`
`PeriodicVolumeFileReader`
`class`
`SurfaceReader`

## Uses of VertexDataServer in org.jmol.shapesurface

Classes in org.jmol.shapesurface that implement VertexDataServer
Modifier and Type
Class
Description
`class`
`Contact`
`class`
`Isosurface`
`class`
`LcaoCartoon`
`class`
`MolecularOrbital`
`class`
`NBO`
`class`
`Plot3D`
`class`
`Pmesh`